"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const core_1 = require("@salesforce/core");
const sgd = require("sfdx-git-delta");
// Initialize Messages with the current plugin directory
core_1.Messages.importMessagesDirectory(__dirname);
// Load the specific messages for this file. Messages from @salesforce/command, @salesforce/core,
// or any library that is using the messages framework can also be loaded this way.
const messages = core_1.Messages.loadMessages('sfdx-plugin-ci', 'deltaGenerate');
class SourceDeltaGenerate extends command_1.SfdxCommand {
    async run() {
        return sgd({
            to: this.flags.to,
            from: this.flags.from,
            output: this.flags.output,
            apiVersion: this.flags['api-version'],
            repo: this.flags.repo
        }, this.ux.log);
    }
}
exports.default = SourceDeltaGenerate;
SourceDeltaGenerate.description = messages.getMessage('command', []);
SourceDeltaGenerate.flagsConfig = {
    to: command_1.flags.string({ char: 't', description: messages.getMessage('toFlag'), default: 'HEAD' }),
    from: command_1.flags.string({ char: 'f', description: messages.getMessage('fromFlag') }),
    output: command_1.flags.filepath({ char: 'o', description: messages.getMessage('outputFlag'), default: './output' }),
    'api-version': command_1.flags.number({ char: 'a', description: messages.getMessage('apiVersionFlag'), default: 48.0 }),
    repo: command_1.flags.filepath({ char: 'r', description: messages.getMessage('repoFlag'), default: '.' })
};
SourceDeltaGenerate.requiresProject = false;
//# sourceMappingURL=generate.js.map